Botan 2.19.5 Crypto and TLS for C&

hash_id.h
Go to the documentation of this file.
1/*
2* Hash Function Identification
3* (C) 1999-2007 Jack Lloyd
4*
5* Botan is released under the Simplified BSD License (see license.txt)
6*/
7
8#ifndef BOTAN_HASHID_H_
9#define BOTAN_HASHID_H_
10
11#include <botan/secmem.h>
12#include <string>
13
14 namespace Botan {
15
16/**
17* Return the PKCS #1 hash identifier
18* @see RFC 3447 section 9.2
19* @param hash_name the name of the hash function
20* @return uint8_t sequence identifying the hash
21* @throw Invalid_Argument if the hash has no known PKCS #1 hash id
22*/
23 BOTAN_PUBLIC_API(2,0) std::vector<uint8_t> pkcs_hash_id(const std::string& hash_name);
24
25/**
26* Return the IEEE 1363 hash identifier
27* @param hash_name the name of the hash function
28* @return uint8_t code identifying the hash, or 0 if not known
29*/
30 BOTAN_PUBLIC_API(2,0) uint8_t ieee1363_hash_id(const std::string& hash_name);
31
32}
33
34#endif
BOTAN_PUBLIC_API
#define BOTAN_PUBLIC_API(maj, min)
Definition: compiler.h:31
Botan
Definition: alg_id.cpp:13
Botan::pkcs_hash_id
std::vector< uint8_t > pkcs_hash_id(const std::string &name)
Definition: hash_id.cpp:77
Botan::ieee1363_hash_id
uint8_t ieee1363_hash_id(const std::string &name)
Definition: hash_id.cpp:146
std
Definition: bigint.h:1155